<template>
    <div :class="cellClass()"></div>
</template>

<script>
    export default {
        name: 'Cell',
        props: ['i', 'j'],
        computed: {
            cell: function () {
                return this.$store.getters.cell(this.i, this.j);
            }
        },
        methods: {
            cellClass: function () {
                var cellClass = {
                    cell: true,
                    west: this.cell.w,
                    north: this.cell.n,
                    pony: this.cell.pony,
                    finish: this.cell.finish,
                    domokun: this.cell.domokun,
                    pin: this.cell.pony || this.cell.domokun || this.cell.finish
                }
                if (this.cell.solution && !cellClass.pin) {
                    cellClass[this.cell.solution] = true;
                }
                return cellClass;
            }
        }
    }
</script>